Bug 984297 - [abrt] yum-3.4.3-100.fc19: yumcommands.py:716:doCommand:TypeError: updatesObsoletesList() got an unexpected keyword argument 'repoid'
[abrt] yum-3.4.3-100.fc19: yumcommands.py:716:doCommand:TypeError: updatesObs...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
abrt_hash:5961ce8603459377a1c8c32d62e...
: EasyFix
Depends On:
Blocks: 984859
  Show dependency treegraph
 
Reported: 2013-07-14 11:27 EDT by Mark T. Kennedy
Modified: 2013-07-18 01:45 EDT (History)
6 users (show)

See Also:
Fixed In Version: yum-3.4.3-101.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 984859 (view as bug list)
Environment:
Last Closed: 2013-07-18 01:45:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.55 KB, text/plain)
2013-07-14 11:27 EDT, Mark T. Kennedy
no flags Details
File: core_backtrace (421 bytes, text/plain)
2013-07-14 11:27 EDT, Mark T. Kennedy
no flags Details
File: environ (3.12 KB, text/plain)
2013-07-14 11:27 EDT, Mark T. Kennedy
no flags Details

  None (edit)
Description Mark T. Kennedy 2013-07-14 11:27:10 EDT
Description of problem:
ran a 'yum list obsoletes' command

Version-Release number of selected component:
yum-3.4.3-100.fc19

Additional info:
reporter:       libreport-2.1.5
cmdline:        /usr/bin/python /usr/bin/yum list obsoletes
executable:     /usr/bin/yum
kernel:         3.9.9-302.fc19.x86_64
runlevel:       N 5
uid:            0

Truncated backtrace:
yumcommands.py:716:doCommand:TypeError: updatesObsoletesList() got an unexpected keyword argument 'repoid'

Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in <module>
    yummain.user_main(sys.argv[1:], exit_code=True)
  File "/usr/share/yum-cli/yummain.py", line 316, in user_main
    errcode = main(args)
  File "/usr/share/yum-cli/yummain.py", line 126, in main
    result, resultmsgs = base.doCommands()
  File "/usr/share/yum-cli/cli.py", line 532, in doCommands
    return self.yum_cli_commands[self.basecmd].doCommand(self, self.basecmd, self.extcmds)
  File "/usr/share/yum-cli/yumcommands.py", line 716, in doCommand
    columns=columns, repoid=repoid)
TypeError: updatesObsoletesList() got an unexpected keyword argument 'repoid'

Local variables in innermost frame:
clir: 'normal'
local_pkgs: {}
extcmds: []
rip: (1, ['No Packages to list'])
update_pkgs: {}
rop: [0, '']
clie: 'bold,red'
rap: (1, ['No Packages to list'])
clin: 'bold,yellow'
clio: 'bold'
repoid: None
inst_pkgs: {}
cur: 'normal'
rep: (1, ['No Packages to list'])
cul: 'bold'
ypl: <yum.misc.GenericHolder instance at 0x25f3b90>
base: <cli.YumBaseCli object at 0x22fd4d0>
rup: (1, ['No Packages to list'])
clai: 'normal'
clad: 'dim,cyan'
obtup: (<YumAvailablePackageSqlite : 1:xorg-x11-drv-nvidia-319.32-4.fc19.x86_64 (0x57ab2d0)>, <RPMInstalledPackage : nvidia-settings-desktop-1.0-32.fc19.x86_64 (0x57c5610)>)
kern: 'bold,underline'
columns: (-35, -18, -25)
highlight: ''
clau: 'bold,blue'
clar: 'bold,underline,green'
self: <yumcommands.ListCommand instance at 0x23029e0>
basecmd: 'list'
Comment 1 Mark T. Kennedy 2013-07-14 11:27:19 EDT
Created attachment 773357 [details]
File: backtrace
Comment 2 Mark T. Kennedy 2013-07-14 11:27:22 EDT
Created attachment 773358 [details]
File: core_backtrace
Comment 3 Mark T. Kennedy 2013-07-14 11:27:27 EDT
Created attachment 773359 [details]
File: environ
Comment 4 Fedora Update System 2013-07-16 06:14:54 EDT
yum-3.4.3-101.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/yum-3.4.3-101.fc19
Comment 5 Fedora Update System 2013-07-16 23:11:15 EDT
Package yum-3.4.3-101.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing yum-3.4.3-101.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-13102/yum-3.4.3-101.fc19
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2013-07-18 01:45:13 EDT
yum-3.4.3-101.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.